15a16
>   //@ loop invariant (x == 0 && y == 1) || (x == 1 && y == 2) || (x == 2 && y == 4) || (x == 3 && y == 8) || (x == 4 && y == 16) || (x == 5 && y == 32) || (x == 6 && y == 64);
20a22
>   //@ assert y % 3 != 0;
